transactions
Boya API
Bills · Manage
Bills · Payments
Bills · Approval workflows
Bills · Budgets & setup
Bills · Attachments
payments
approvals
fx
Expenses · Retrieve
Expenses · Review & approvals
Expenses · Reports
Expenses · Exports
Cards · Manage
Cards · Controls
Cards · Single-use
Cards · Physical cards
Cards · Authorization
subscriptions
tags
accounts
categories
taxes
vendors
customers
employees
teams
Investments · Portfolio & accounts
Investments · Fund movements
Investments · Access & permissions
business-policies
Wallet policies · Policies
Wallet policies · Permissions
Wallet policies · Access checks
Wallet policies · Audit
roles
audit-trail
Security
oauth2ClientCredentials(Required scopes: transactions:write)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/transactions/new
- Productionhttps://api.boyahq.com/v2/transactions/new
- Sandboxhttps://sandbox.api.boyahq.com/v2/transactions/new
curl -i -X POST \
https://developer.boyahq.com/_mock/v2/openapi/transactions/new \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'business_id: string' \
-H 'org_wallet_ref: string' \
-d '{
"amount": 0,
"currency": "string",
"paymentType": "string",
"receiverName": "string",
"receiver": "string",
"category": "string",
"description": "string",
"accountNumber": "string",
"bankCode": "string",
"note": "string",
"budgetId": "string",
"budgetCategoryIds": [
"string"
]
}'Transaction created successfully
Response
{ "id": 0, "remoteId": 0, "source": "string", "paymentType": "string", "group": "string", "amount": 0, "fee": 0, "fees": 0, "currency": "string", "accountNumber": "string", "note": "string", "tag": "string", "tagId": "string", "category": "string", "categoryId": "string", "beneficiary": "string", "team": "string", "email": "string", "phone": "string", "uid": "string", "customerId": "string", "stripeCustomerId": "string", "ticket": "string", "description": "string", "receiverName": "string", "receiver": "string", "ref": "string", "reference": "string", "txRef": "string", "bankCode": "string", "sms": "string", "providerRef": "string", "receipt": "string", "otherReceipts": "string", "isPaymentRequest": true, "isInitial": true, "timestamp": "string", "createdAt": "string", "status": 0, "reviewStatus": "string", "reviewLevel": 0, "expenseTags": [ { … } ], "expenseId": "string", "client": "string", "clientId": "string", "vendor": "string", "vendorId": "string", "requisitionReference": "string", "expiryDate": "string", "walletId": "string", "budgetId": "string", "budgetName": "string", "budgetLineItems": [ "string" ], "budgetCategoryIds": [ "string" ] }